Name:          qps
Version:       2.7.0
Release:       1mamba
Summary:       Qt Process Manager
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/lxqt/qps
Source:        https://github.com/lxqt/qps.git/%{version}/qps-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Svg-devel
BuildRequires: libQt5X11Extras-devel
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: liblxqt-devel
BuildRequires: libqtxdg-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
Qt Process Manager.

%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

find %{buildroot}%{_datadir}/*/translations/ -name *.qm | \
while read line; do
  bn=`echo ${line}|cut -d_ -f2-3`
  echo "%lang(${bn/.*}) ${line/*-root}" >> %{name}.lang
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/qps
%{_datadir}/applications/qps.desktop
%{_datadir}/icons/hicolor/48x48/apps/qps.png
%{_mandir}/man1/qps.1*
%doc COPYING

%changelog
* Tue Apr 18 2023 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Thu Nov 10 2022 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Tue Apr 19 2022 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Sun Nov 21 2021 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Sat Apr 17 2021 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Mon Nov 09 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-1mamba
- package created using the webbuild interface
